Bug 724991 - Review Request: smokegen - Smoke Generator
Review Request: smokegen - Smoke Generator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-07-22 10:20 EDT by Ngo Than
Modified: 2011-07-27 11:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 11:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2011-07-22 10:20:05 EDT
Spec URL: http://than.fedorapeople.org/rawhide/smokegen.spec
SRPM URL:
http://rdieter.fedorapeople.org/rawhide/smokegen-4.6.95-1.fc15.src.rpm
Description: Smoke Generator

Split packaging for smokegen.
Comment 1 Ngo Than 2011-07-22 10:20:50 EDT
Spec URL: http://than.fedorapeople.org/rawhide/smokegen.spec
SRPM URL:
http://than.fedorapeople.org/rawhide/smokegen-4.6.95-1.fc15.src.rpm
Description: Smoke Generator

Split packaging for smokegen.
Comment 2 Jaroslav Reznik 2011-07-22 11:22:48 EDT
Name: ok, matches upstream
Summary: ok
Group: ok, but not needed anymore
License: not ok, LGPLv2 and GPLv2+ (according to discussion with Rex - legal wants us to list all licenses included in tarball)
Url: not ok, redirects to Techbase and no article can be found there
Source: ok (md5sum dd8dc0f9fb8e2fe5294075855be524a4)
Obsoletes/Provides: ok?, smokegen was part of kdebindings (can all smoke* related packages provide kdebindigs?)
Description: could be, I'd like to provide more information there, not a blocker
Ldconfig: ok
Docs: ok, just ping upstream for proper COPYING

Shouldn't we have smokegen-devel? The same way as original kdebindings had it?

Group, BuildRoot, clean section, defattrs not needed anymore

rpmlint
rpmlint smokegen-4.6.95-1.fc15.src.rpm 
smokegen.src: W: invalid-url URL: http://developer.kde.org/language-bindings/ HTTP Error 404: Not Found

> fix pls

smokegen.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.6.95/src/smokegen-4.6.95.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

> ok, we will have stable soon
Comment 3 Ngo Than 2011-07-26 11:49:12 EDT
new smokegen-4.7.0-1.fc15.src.rpm is uploaded on  http://than.fedorapeople.org/rawhide/

it should fix above issues.

>Group, BuildRoot, clean section, defattrs not needed anymore
we want to keep it in case we want to build for old release.
Comment 4 Jaroslav Reznik 2011-07-27 06:46:42 EDT
Thanks Than.

rpmlint smokegen-4.7.0-1.fc15.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Seems clean, just fix formatting a little bit, not a blocker for review.

APPROVED
Comment 5 Ngo Than 2011-07-27 08:46:24 EDT
Thanks!

New Package SCM Request
=======================
Package Name: smokegen
Short Description: Smoke Generator
Owners: than rdieter jreznik kkofler ltinkl rnovacek rrix
Branches: f15 f16
Comment 6 Jon Ciesla 2011-07-27 09:37:52 EDT
Git done (by process-git-requests).
Comment 7 Ngo Than 2011-07-27 11:22:08 EDT
imported and built http://koji.fedoraproject.org/koji/taskinfo?taskID=3233996

Note You need to log in before you can comment on or make changes to this bug.